Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Graphics

    java.lang.Object
      javax.microedition.lcdui.Graphics

    public class Graphics

extends Object

Preliminary Graphics class for LCD Screen

Author:
  Brian Bagnall

Field Summary
`static int` | `BLACK`
`static int` | `DOTTED`
`static int` | `SOLID`
`static int` | `WHITE`

Constructor Summary
`Graphics()`

Method Summary
`void` | `autoRefresh(boolean on)`
`void` | `clear()`
`void` | `drawArc(int x, int y, int width, int height, int startAngle, int arcAngle)`
`void` | `drawChar(char c, int x, int y, boolean invert)`
`void` | `drawImage(Image img, int x, int y, boolean invert)`
`void` | `drawImage(Image img, int sx, int sy, int x, int y, int w, int h, int rop)`
`void` | `drawLine(int x0, int y0, int x1, int y1)`
`void` | `drawRect(int x, int y, int width, int height)`
`void` | `drawRoundRect(int x, int y, int width, int height, int arcWidth, int arcHeight)`
`void` | `drawString(String str, int x, int y)`
`void` | `drawString(String str, int x, int y, boolean invert)`
`void` | `drawString(String str, int x, int y, int rop)`
`void` | `fillArc(int x, int y, int width, int height, int startAngle, int arcAngle)`
`void` | `fillRect(int x, int y, int width, int height)`
`int` | `getCenteredX(String str)`
`int` | `getColor()`
`Font` | `getFont()`
`int` | `getHeight()`
`int` | `getStrokeStyle()`
`int` | `getWidth()`
`void` | `refresh()`
`void` | `setColor(int rgb)`
`void` | `setPixel(int rgbColor, int x, int y)` Using rgbColor as argument even though global, because when this setPixel() method is used later it will need color argument
`void` | `setStrokeStyle(int style)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### BLACK

    public static final int BLACK

See Also:
  Constant Field Values

### WHITE

    public static final int WHITE

See Also:
  Constant Field Values

### SOLID

    public static final int SOLID

See Also:
  Constant Field Values

### DOTTED

    public static final int DOTTED

See Also:
  Constant Field Values

Constructor Detail

### Graphics

    public Graphics()

Method Detail

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getCenteredX

    public int getCenteredX(String str)

### getFont

    public Font getFont()

### setColor

    public void setColor(int rgb)

### getColor

    public int getColor()

### setPixel

    public void setPixel(int rgbColor,
                         int x,
                         int y)

  Using rgbColor as argument even though global, because when this setPixel() method is used later it will need color argument

### drawLine

    public void drawLine(int x0,
                         int y0,
                         int x1,
                         int y1)

### drawArc

    public void drawArc(int x,
                        int y,
                        int width,
                        int height,
                        int startAngle,
                        int arcAngle)

### fillArc

    public void fillArc(int x,
                        int y,
                        int width,
                        int height,
                        int startAngle,
                        int arcAngle)

### drawRoundRect

    public void drawRoundRect(int x,
                              int y,
                              int width,
                              int height,
                              int arcWidth,
                              int arcHeight)

### drawRect

    public void drawRect(int x,
                         int y,
                         int width,
                         int height)

### fillRect

    public void fillRect(int x,
                         int y,
                         int width,
                         int height)

### drawString

    public void drawString(String str,
                           int x,
                           int y,
                           int rop)

### drawString

    public void drawString(String str,
                           int x,
                           int y)

### drawString

    public void drawString(String str,
                           int x,
                           int y,
                           boolean invert)

### drawChar

    public void drawChar(char c,
                         int x,
                         int y,
                         boolean invert)

### drawImage

    public void drawImage(Image img,
                          int x,
                          int y,
                          boolean invert)

### drawImage

    public void drawImage(Image img,
                          int sx,
                          int sy,
                          int x,
                          int y,
                          int w,
                          int h,
                          int rop)

### getStrokeStyle

    public int getStrokeStyle()

### setStrokeStyle

    public void setStrokeStyle(int style)

### refresh

    public void refresh()

### clear

    public void clear()

### autoRefresh

    public void autoRefresh(boolean on)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD